Get All Comments of a Specific Issue in the Repository
GET/api/v5/repos/:owner/:repo/issues/:number/comments
Request
Path Parameters
owner stringrequired
Repository space address (address path of the enterprise, organization, or individual)
repo stringrequired
Repository path (path)
number stringrequired
Issue Number (case-sensitive, do not add #)
Query Parameters
access_token string
User authorization code
page integer
The current page number
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
order string
Sort order: asc(default), desc
since string
The start update time, with the time format required as 2024-11-10T08:10:30.000%2B08:00 (Note that the + sign needs to be URL encoded as %2B)
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
idinteger
bodystring
user object
avatar_urlstring
events_urlnull
followers_urlnull
following_urlnull
gists_urlnull
html_urlstring
idstring
loginstring
member_rolenull
namestring
organizations_urlnull
received_events_urlnull
remarknull
repos_urlnull
starred_urlnull
subscriptions_urlnull
typenull
urlnull
target object
issue object
idinteger
titlestring
nubmerinteger
created_atstring
updated_atstring
[
{
"id": 0,
"body": "string",
"user": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string"
},
"target": {
"issue": {
"id": 0,
"title": "string",
"nubmer": 0
}
},
"created_at": "string",
"updated_at": "string"
}
]
{
"id": 271624,
"body": "Comment content.",
"user": {
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"events_url": null,
"followers_url": null,
"following_url": null,
"gists_url": null,
"html_url": "https://test.gitcode.net/dengmengmian",
"id": "661ce4eab470b1430d456154",
"login": "dengmengmian",
"member_role": null,
"name": "MaFan_",
"organizations_url": null,
"received_events_url": null,
"remark": null,
"repos_url": null,
"starred_url": null,
"subscriptions_url": null,
"type": null,
"url": null
},
"target": {
"issue": {
"id": 152134,
"title": "",
"nubmer": 1
}
},
"created_at": "2024-04-19T17:50:18.199+08:00",
"updated_at": "2024-04-19T17:50:18.199+08:00"
}